<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'albaraha',

    /*
     * Package.
     */
    'package'   => 'patient',

    /*
     * Modules.
     */
    'modules'   => ['patient'],

    
    'patient'       => [
        'model' => [
            'model'                 => \Albaraha\Patient\Models\Patient::class,
            'table'                 => 'patients',
            'presenter'             => \Albaraha\Patient\Repositories\Presenter\PatientPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'name',  'ward',  'diet',  'food_expiry_time',  'food_issue_date',  'bed_no',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'patient/patient',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Albaraha',
            'package'   => 'Patient',
            'module'    => 'Patient',
        ],

    ],
];
