<?php

namespace Albaraha\Patient\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PatientTransformer extends TransformerAbstract
{
    public function transform(\Albaraha\Patient\Models\Patient $patient)
    {
        return [
            'id'                => $patient->getRouteKey(),
            'key'               => [
                'public'    => $patient->getPublicKey(),
                'route'     => $patient->getRouteKey(),
            ], 
            'id'                => $patient->id,
            'user_id'           => $patient->user_id,
            'user_type'         => $patient->user_type,
            'name'              => $patient->name,
            'ward'              => $patient->ward,
            'diet'              => $patient->diet,
            'food_expiry_time'  => $patient->food_expiry_time,
            'food_issue_date'   => $patient->food_issue_date,
            'bed_no'            => $patient->bed_no,
            'created_at'        => $patient->created_at,
            'updated_at'        => $patient->updated_at,
            'deleted_at'        => $patient->deleted_at,
            'url'               => [
                'public'    => trans_url('patient/'.$patient->getPublicKey()),
                'user'      => guard_url('patient/patient/'.$patient->getRouteKey()),
            ], 
            'status'            => trans('app.'.$patient->status),
            'created_at'        => format_date($patient->created_at),
            'updated_at'        => format_date($patient->updated_at),
        ];
    }
}